## mawk 1.3.3

=== rexp/Makefile ===

####################################
# This is a makefile for mawk,
# an implementation of AWK (1988).
####################################
#
#

CC = cc
CFLAGS = -O  -DMAWK -I..

O=rexp.o rexp0.o rexp1.o rexp2.o rexp3.o 
DB=rexpdb.o

all : $(O)
	@cat </dev/null > .done

debug : $(O) $(DB)
	@cat </dev/null > .done

$(O) : rexp.h

clean :
	rm -f *.o .done

## mawk 1.3.3.1

=== debian/changelog ===
mawk (1.3.3.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: f796511ecd0f2018763c2cc2002a05e4bd2ed57f']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 20:34:08 +0000

=== debian/control ===
Source: mawk
Section: interpreters
Priority: required
Maintainer: Steve Langasek <vorlon@debian.org>
Build-Depends: quilt (>= 0.46-7), bison, debhelper (>= 8.9.4)
Build-Conflicts: byacc
Standards-Version: 3.9.2
Vcs-Bzr: nosmart+http://bzr.debian.org/bzr/users/vorlon/mawk/trunk/
Vcs-Browser: http://anonscm.debian.org/loggerhead/users/vorlon/mawk/trunk/

Package: mawk
Architecture: any
Multi-Arch: foreign
Provides: awk
Pre-Depends: ${shlibs:Depends}
Depends: ${misc:Depends}
Description: a pattern scanning and text processing language
 Mawk is an interpreter for the AWK Programming Language. The AWK
 language is useful for manipulation of data files, text retrieval and
 processing, and for prototyping and experimenting with algorithms. Mawk
 is a new awk meaning it implements the AWK language as defined in Aho,
 Kernighan and Weinberger, The AWK Programming Language, Addison-Wesley
 Publishing, 1988. (Hereafter referred to as the AWK book.) Mawk conforms
 to the POSIX 1003.2 (draft 11.3) definition of the AWK language
 which contains a few features not described in the AWK book, and mawk
 provides a small number of extensions.
 .
 Mawk is smaller and much faster than gawk. It has some compile-time
 limits such as NF = 32767 and sprintf buffer = 1020.

## mawk 1.3.4.20200120

=== debian/changelog ===
mawk (1.3.4.20200120-2) unstable; urgency=high

  * debian/copyright: Refresh dates. 
  * debian/watch: Add watch file to monitor upstream releases.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Feb 2020 14:41:09 -0500

mawk (1.3.4.20200120-1) unstable; urgency=medium

  * Upload to unstable. 

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jan 2020 11:27:10 -0500

mawk (1.3.4.20200120-1~exp1) experimental; urgency=medium

  * New upstream release snapshot.
  * debian/copyright: Update copyright year information.
  * debian/upstream/metadata: Add metadata: Repository,
    Repository-Browse.

 -- Boyuan Yang <byang@debian.org>  Sat, 25 Jan 2020 18:09:03 -0500

mawk (1.3.4.20190203-1~exp1) experimental; urgency=medium

  * New upstream release snapshot (Closes: #554167)
    + Fixes segmentation fault on certain awk file.
      (Closes: #901477)
    + Fixes crashes with long strings. (Closes: #173664)
    + Fixes bugs around substr. (Closes: #649147)
  * debian/control:
    + Declare autopkgtest as test suite. (Closes: #692662)
    + Bump Standards-Version to 4.5.0.
    + Update the pre-depends field and use ${misc:Pre-Depends}
      instead.
  * debian/copyright: Refresh information.
  * debian/: Lintian warning fixes:
    - description-synopsis-starts-with-article

  [ Adreas Henriksson ]
  * debian/patches: Review and drop all obsolete patches.
  * Fix up autopkgtest for new version of mawktest.
  * debian/control: Use autoconf-dickey instead of mainline
    autoconf. This is required for mawk and other programs
    maintained upstream by Dickey.

 -- Boyuan Yang <byang@debian.org>  Sat, 25 Jan 2020 17:50:25 -0500

mawk (1.3.3-20) unstable; urgency=high

  * debian/tests/control: Enable allow-stderr to make autopkgtest
    properly working. Hopefully this would fix bug #948929.

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Jan 2020 13:38:18 -0500

mawk (1.3.3-19) unstable; urgency=high

  * debian/control:
    + Update Vcs-* fields to use git packaging repo under Salsa
      Debian group.
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.1.
    + Set project homepage to be https://invisible-island.net/mawk/.
  * debian/salsa-ci.yml: Add Salsa CI config file.
  * debian/tests/mawktest: Use $AUTOPKGTEST_TMP instead of
    non-working $TMPDIR. This fixes autopkgtest failure.
  * debian/source/format: Use "3.0 (quilt)" format.
  * debian/rules: Disable parallel build for now.

 -- Boyuan Yang <byang@debian.org>  Fri, 27 Dec 2019 22:01:49 -0800

mawk (1.3.3-18) unstable; urgency=medium

  * debian/control:
    + Take over package maintenance via package salvaging process.
      (Closes: #945794).

 -- Boyuan Yang <byang@debian.org>  Fri, 20 Dec 2019 09:18:09 -0500

mawk (1.3.3-17) unstable; urgency=low

  * debian/patches/cross-compile: fix the wrong invocation of AC_CHECK_PROG()
    that breaks cross-compiler detection.
  * debian/patches/21_memcpy-to-memmove: use memmove instead of memcpy in
    FINgets.  Closes: #665383, LP: #955791.
  * mark mawk Multi-Arch: foreign, to satisfy cross-build-dependencies.
  * debian/patches/20_overlong-regexps: Do not crash if regexp is too
    long for our buffer.  Thanks to Ian Jackson <iwj@ubuntu.com>,
    Jonathan Nieder <jrnieder@gmail.com>.  Closes: #391051, LP: #23494.
  * add autopkgtest/autodebtest support to run upstream tests.

 -- Steve Langasek <vorlon@debian.org>  Fri, 23 Mar 2012 13:15:00 -0700

mawk (1.3.3-16) unstable; urgency=low

  * Swap out dpatch in favor of quilt.
  * Replace debian/patches/08_fix-for-gcc3.3 with debian/patches/autoreconf,
    which gets us modern autoconf support.
  * Migrate to dh(1).  This gets us md5sums for the package (Closes: #507315)
    and support for DEB_BUILD_OPTIONS=nostrip (Closes: #437557).
  * Only run the mawk_test and fpe_test targets from override_dh_auto_test,
    so that DEB_BUILD_OPTIONS=nocheck does the right thing.  This should
    be sufficient to support cross-building, provided nocheck is passed in
    the cross-build environment (as it should be).  Closes: #285418.
  * Put mawk in Section: interpreters, along with the other awken.
    Closes: #442071.
  * debian/mawk.postinst: drop obsolete upgrade handling of long-gone broken
    symlinks.
  * Update to standards-version 3.9.2.
  * Add Vcs-Bzr/Vcs-Browser fields.

 -- Steve Langasek <vorlon@debian.org>  Tue, 25 Oct 2011 00:47:34 +0000

mawk (1.3.3-15) unstable; urgency=high

  * Fix debian/copyright to correctly list the license as GPLv2, not GPLv2
    or later.  Closes: #536689

 -- Steve Langasek <vorlon@debian.org>  Mon, 27 Jul 2009 11:26:47 -0700

mawk (1.3.3-14) unstable; urgency=low

  * Build-Conflict with byacc, as the current version doesn't appear to be
    compatible with mawk; though we ought to fix the upstream build rules
    to not check for byacc first in this case, this is an ok fix for now.
    Closes: #509832.

 -- Steve Langasek <vorlon@debian.org>  Fri, 26 Dec 2008 16:17:53 -0800

mawk (1.3.3-13) unstable; urgency=low

  * New maintainer; closes: #496711.
  * Drop versioned gcc build-dependency, which has been satisfied since
    before oldstable.
  * debian/rules: fix up clean target to use a simpler, standard distclean
    call, fixing a lintian warning.
  * debian/rules: future-proof the clean target for patch interaction
    with the build system, moving all the cleaning into a
    "clean-patched" target that fires before the unpatch target

 -- Steve Langasek <vorlon@debian.org>  Wed, 27 Aug 2008 10:03:33 -0700

mawk (1.3.3-12) unstable; urgency=low

  * New maintainer; closes: 496711
  * Fix the following lintian issues:
    W: ancient-standards-version 3.5.10.0 (current is 3.8.0)
    W: mawk: unknown-section base
    W: mawk: old-fsf-address-in-copyright-file

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 27 Aug 2008 17:41:50 +1000

mawk (1.3.3-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/postinst: fix bashism.  Closes: #308134



=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: mawk
 Section: interpreters
 Priority: required
-Maintainer: Steve Langasek <vorlon@debian.org>
-Build-Depends: quilt (>= 0.46-7), bison, debhelper (>= 8.9.4)
+Maintainer: Boyuan Yang <byang@debian.org>
+Build-Depends: bison, debhelper-compat (= 12), autoconf-dickey
 Build-Conflicts: byacc
-Standards-Version: 3.9.2
-Vcs-Bzr: nosmart+http://bzr.debian.org/bzr/users/vorlon/mawk/trunk/
-Vcs-Browser: http://anonscm.debian.org/loggerhead/users/vorlon/mawk/trunk/
+Standards-Version: 4.5.0
+Homepage: https://invisible-island.net/mawk/
+Vcs-Git: https://salsa.debian.org/debian/mawk.git
+Vcs-Browser: https://salsa.debian.org/debian/mawk
 
 Package: mawk
 Architecture: any
 Multi-Arch: foreign
 Provides: awk
-Pre-Depends: ${shlibs:Depends}
-Depends: ${misc:Depends}
-Description: a pattern scanning and text processing language
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Pattern scanning and text processing language
  Mawk is an interpreter for the AWK Programming Language. The AWK
  language is useful for manipulation of data files, text retrieval and
  processing, and for prototyping and experimenting with algorithms. Mawk

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --no-parallel

override_dh_autoreconf:
	dh_autoreconf autoreconf-dickey -- -f -i

override_dh_auto_install:
	dh_auto_install -- BINDIR=$(CURDIR)/debian/mawk/usr/bin \
	                   MANDIR=$(CURDIR)/debian/mawk/usr/share/man/man1

override_dh_auto_build:
	dh_auto_build -- mawk

override_dh_auto_test:
ifeq (,$(filter $(DEB_BUILD_OPTIONS),nocheck))
	$(MAKE) mawk_test fpe_test
endif

=== debian/tests/control ===
Tests: mawktest
Restrictions: rw-build-tree, allow-stderr

=== debian/watch ===
version=4
opts="passive" \
 ftp://ftp.invisible-island.net/mawk/mawk-(\d[\d.]*)-(\d+)@ARCHIVE_EXT@ \
 debian uupdate

## mawk 1.3.4.20230730

=== package/freebsd/Makefile ===
# Created by: Pedro F. Giffuni <giffunip@asme.org>
# $FreeBSD: head/lang/mawk/Makefile 516890 2019-11-06 14:17:48Z wen $

PORTNAME=	mawk
DISTVERSION=	1.3.4.20230730
CATEGORIES=	lang
MASTER_SITES=	https://invisible-island.net/archives/${PORTNAME}/ \
		https://invisible-mirror.net/archives/${PORTNAME}/

MAINTAINER=	wen@FreeBSD.org
COMMENT=	Interpreter for the AWK Programming Language

LICENSE=	GPLv2

GNU_CONFIGURE=	yes
USES=		tar:tgz

PLIST_FILES=	bin/mawk \
		man/man1/mawk.1.gz

.include <bsd.port.mk>

=== debian/changelog ===
mawk (1.3.4.20230730-1) unstable; urgency=medium

  * New upstream snapshot 1.3.4.20230730.
  * debian/watch: Enable auto pgp mode to check digital signature.
  * debian/upstream/signing-key.asc: Import author's PGP key.
  * debian/rules: Drop unneeded unusual mandir override.

 -- Boyuan Yang <byang@debian.org>  Thu, 03 Aug 2023 17:06:29 -0400

mawk (1.3.4.20230525-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Jun 2023 20:37:46 -0400

mawk (1.3.4.20230525-1~exp1) experimental; urgency=medium

  * New upstream snapshot 1.3.4.20230525.

 -- Boyuan Yang <byang@debian.org>  Fri, 02 Jun 2023 15:56:26 -0400

mawk (1.3.4.20230404-1~exp1) experimental; urgency=medium

  * New upstream snapshot 1.3.4.20230404.

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Apr 2023 15:31:30 -0400

mawk (1.3.4.20230322-1~exp1) experimental; urgency=medium

  * New upstream snapshot 1.3.4.20230322.

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Apr 2023 15:25:53 -0400

mawk (1.3.4.20230203-1~exp1) experimental; urgency=medium

  * New upstream snapshot 1.3.4.20230203.
  * debian/control: Bump Standards-Version to 4.6.2.
  * debian/copyright: Update information.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Feb 2023 20:16:50 -0500

mawk (1.3.4.20210824-1~exp1) experimental; urgency=medium

  * New upstream snapshot 1.3.4.20210824.
  * debian/watch: Fix upstream monitoring script.
  * debian/copyright: Update information.
  * debian/control: Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 18 Oct 2022 16:33:29 -0400

mawk (1.3.4.20200120-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository.
  * debian/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Fri, 17 Jun 2022 17:35:26 +0200

mawk (1.3.4.20200120-3) unstable; urgency=medium

  * Rebuild before Ubuntu 22.04 release.
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13.
  * debian/rules: Drop useless --as-needed linker flag.
  * debian/mawk.alternatives: Use declarative alternative rules.
  * debian/{*.postinst,prerm}: Dropped due to declarative rules.

 -- Boyuan Yang <byang@debian.org>  Sun, 23 Jan 2022 16:57:23 -0500

## mawk 1.3.4.20231126

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $FreeBSD: head/lang/mawk/Makefile 516890 2019-11-06 14:17:48Z wen $
 
 PORTNAME=	mawk
-DISTVERSION=	1.3.4.20230730
+DISTVERSION=	1.3.4.20231126
 CATEGORIES=	lang
 MASTER_SITES=	https://invisible-island.net/archives/${PORTNAME}/ \
 		https://invisible-mirror.net/archives/${PORTNAME}/

=== debian/changelog ===
mawk (1.3.4.20231126-1) unstable; urgency=medium

  * New upstream snapshot 1.3.4.20231126.

 -- Boyuan Yang <byang@debian.org>  Thu, 30 Nov 2023 20:16:14 -0500

mawk (1.3.4.20231102-1) unstable; urgency=medium

  * New upstream snapshot 1.3.4.20231102.

 -- Boyuan Yang <byang@debian.org>  Tue, 14 Nov 2023 13:21:53 -0500

mawk (1.3.4.20230808-1) unstable; urgency=medium

  * New upstream snapshot 1.3.4.20230808.

 -- Boyuan Yang <byang@debian.org>  Sun, 20 Aug 2023 21:33:16 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: interpreters
 Priority: required
 Maintainer: Boyuan Yang <byang@debian.org>
-Build-Depends: bison, debhelper-compat (= 12), autoconf-dickey
+Build-Depends: bison, debhelper-compat (= 13), autoconf-dickey
 Build-Conflicts: byacc
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://invisible-island.net/mawk/
 Vcs-Git: https://salsa.debian.org/debian/mawk.git
 Vcs-Browser: https://salsa.debian.org/debian/mawk

## mawk 1.3.4.20240123

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $FreeBSD: head/lang/mawk/Makefile 516890 2019-11-06 14:17:48Z wen $
 
 PORTNAME=	mawk
-DISTVERSION=	1.3.4.20231126
+DISTVERSION=	1.3.4.20240123
 CATEGORIES=	lang
 MASTER_SITES=	https://invisible-island.net/archives/${PORTNAME}/ \
 		https://invisible-mirror.net/archives/${PORTNAME}/

=== debian/changelog ===
mawk (1.3.4.20240123-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:12:02 +0200

mawk (1.3.4.20240123-1) unstable; urgency=medium

  * New upstream snapshot 1.3.4.20240123.

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Jan 2024 09:47:02 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mawk
 Section: interpreters
 Priority: required
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends: bison, debhelper-compat (= 13), autoconf-dickey
 Build-Conflicts: byacc
 Standards-Version: 4.6.2

## mawk 1.3.4.20240622

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $FreeBSD: head/lang/mawk/Makefile 516890 2019-11-06 14:17:48Z wen $
 
 PORTNAME=	mawk
-DISTVERSION=	1.3.4.20240123
+DISTVERSION=	1.3.4.20240622
 CATEGORIES=	lang
 MASTER_SITES=	https://invisible-island.net/archives/${PORTNAME}/ \
 		https://invisible-mirror.net/archives/${PORTNAME}/

=== debian/changelog ===
mawk (1.3.4.20240622-2) unstable; urgency=medium

  * debian/patches/0001-aclocal.m4-Avoid-arc4random-for-now.patch:
    Add patch to avoid using arc4random as suggested upstream.
    (Closes: #1075717)

 -- Boyuan Yang <byang@debian.org>  Fri, 19 Jul 2024 21:33:53 -0400

mawk (1.3.4.20240622-1) unstable; urgency=medium

  * New upstream snapshot 1.3.4.20240622.
    + Fix buffer overread in scan.c with mawk -f <large file>.
      (Closes: #1074280)
  * debian/control: Move package description to the source package
    section.
  * debian/control: Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 25 Jun 2024 19:34:29 -0400

## mawk 1.3.4.20240905

=== debian/changelog ===
mawk (1.3.4.20240905-1) unstable; urgency=medium

  * New upstream snapshot.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Thu, 12 Sep 2024 17:55:13 -0400

mawk (1.3.4.20240827-1~exp1) experimental; urgency=medium

  * New upstream snapshot.
  * debian/patches/: Drop all patches for a test build in Experimental.

 -- Boyuan Yang <byang@debian.org>  Thu, 29 Aug 2024 17:09:31 -0400

mawk (1.3.4.20240819-3) unstable; urgency=medium

  * debian/patches/0003-Fix-Debian-bug-1079389.patch: Apply upstream-proposed
    patch to fix incorrect result from sub(). (Closes: #1079389)

 -- Boyuan Yang <byang@debian.org>  Sun, 25 Aug 2024 13:06:40 -0400

mawk (1.3.4.20240819-2) unstable; urgency=medium

  * debian/patches/0002-Disable-long-lines-test-as-suggested-upstream.patch:
    Disable test as suggested upstream due to memory requirement.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Aug 2024 18:22:35 -0400

mawk (1.3.4.20240819-1) unstable; urgency=medium

  * New upstream snapshot 1.3.4.20240819.
  * debian/patches/0001-Temp-fix-for-test.patch: Add an ad-hoc fix
    for mawktest.
  * debian/patches/0001-aclocal.m4-Avoid-arc4random-for-now.patch:
    Dropped, the mawk upstream now disables arc4random by default.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Aug 2024 09:19:44 -0400

## mawk 1.3.4.20250131

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $FreeBSD: head/lang/mawk/Makefile 516890 2019-11-06 14:17:48Z wen $
 
 PORTNAME=	mawk
-DISTVERSION=	1.3.4.20240622
+DISTVERSION=	1.3.4.20250131
 CATEGORIES=	lang
 MASTER_SITES=	https://invisible-island.net/archives/${PORTNAME}/ \
 		https://invisible-mirror.net/archives/${PORTNAME}/

=== debian/changelog ===
mawk (1.3.4.20250131-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Feb 2025 08:40:44 -0500

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,13 @@
 Source: mawk
 Section: interpreters
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends: bison, debhelper-compat (= 13), autoconf-dickey
 Build-Conflicts: byacc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://invisible-island.net/mawk/
 Vcs-Git: https://salsa.debian.org/debian/mawk.git
 Vcs-Browser: https://salsa.debian.org/debian/mawk
-
-Package: mawk
-Architecture: any
-Multi-Arch: foreign
-Provides: awk
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Pattern scanning and text processing language
  Mawk is an interpreter for the AWK Programming Language. The AWK
  language is useful for manipulation of data files, text retrieval and
@@ -29,3 +21,12 @@
  .
  Mawk is smaller and much faster than gawk. It has some compile-time
  limits such as NF = 32767 and sprintf buffer = 1020.
+
+Package: mawk
+Architecture: any
+Multi-Arch: foreign
+Provides: awk
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: ${source:Synopsis}
+ ${source:Extended-Description}

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # package maintainers to append CFLAGS
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND =
 
 
 %:
@@ -21,7 +21,7 @@
 
 override_dh_auto_install:
 	dh_auto_install -- BINDIR=$(CURDIR)/debian/mawk/usr/bin \
-	                   MANDIR=$(CURDIR)/debian/mawk/usr/share/man/man1
+	                   MANDIR=$(CURDIR)/debian/mawk/usr/share/man
 
 override_dh_auto_build:
 	dh_auto_build -- mawk

=== debian/watch ===
version=4
opts="pgpmode=auto,uversionmangle=s/-/./" \
 https://invisible-island.net/archives/mawk/mawk-@ANY_VERSION@@ARCHIVE_EXT@ \
 debian uupdate

## mawk 1.3.4.20260129

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $FreeBSD: head/lang/mawk/Makefile 516890 2019-11-06 14:17:48Z wen $
 
 PORTNAME=	mawk
-DISTVERSION=	1.3.4.20250131
+DISTVERSION=	1.3.4.20260129
 CATEGORIES=	lang
 MASTER_SITES=	https://invisible-island.net/archives/${PORTNAME}/ \
 		https://invisible-mirror.net/archives/${PORTNAME}/

=== debian/changelog ===
mawk (1.3.4.20260129-1) unstable; urgency=medium

  * New upstream release. (Closes: #1105498)
  * debian/copyright: Refresh information.
  * debian/control: Bump Standards-Version to 4.7.3.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Feb 2026 15:30:40 -0500

mawk (1.3.4.20250131-2) unstable; urgency=medium

  * debian/watch: Update to version 5.
  * debian/upstream/metadata: Add fields for bug tracker and documentation.
  * debian/control: Bump Standards-Version to 4.7.2.

 -- Boyuan Yang <byang@debian.org>  Sun, 21 Dec 2025 10:20:03 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends: bison, debhelper-compat (= 13), autoconf-dickey
 Build-Conflicts: byacc
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://invisible-island.net/mawk/
 Vcs-Git: https://salsa.debian.org/debian/mawk.git
 Vcs-Browser: https://salsa.debian.org/debian/mawk

=== debian/watch ===
Version: 5

Source: https://invisible-island.net/archives/mawk/
Matching-Pattern: mawk-@ANY_VERSION@@ARCHIVE_EXT@
Pgpmode: auto
Update-Script: uupdate
Uversionmangle: s/-/./
